Bullet Collision Detection & Physics Library: btMiniSDF Struct Reference

Bullet Collision Detection & Physics Library

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
btMiniSDF Struct Reference

`#include <btMiniSDF.h>`

Collaboration diagram for btMiniSDF:
[legend]

## Public Member Functions
| btMiniSDF ()
bool | load (const char *data, int size)
bool | isValid () const
unsigned int | multiToSingleIndex (btMultiIndex const &ijk) const
btAlignedBox3d | subdomain (btMultiIndex const &ijk) const
btMultiIndex | singleToMultiIndex (unsigned int l) const
btAlignedBox3d | subdomain (unsigned int l) const
btShapeMatrix | shape_function_ (btVector3 const &xi, btShapeGradients *gradient=0) const
bool | interpolate (unsigned int field_id, double &dist, btVector3 const &x, btVector3 *gradient) const

## Public Attributes
btAlignedBox3d | m_domain
unsigned int | m_resolution [3]
btVector3 | m_cell_size
btVector3 | m_inv_cell_size
std::size_t | m_n_cells
std::size_t | m_n_fields
bool | m_isValid
btAlignedObjectArray< btAlignedObjectArray< double > > | m_nodes
btAlignedObjectArray< btAlignedObjectArray< btCell32 > > | m_cells
btAlignedObjectArray< btAlignedObjectArray< unsigned int > > | m_cell_map

## Detailed Description

Definition at line 90 of file btMiniSDF.h.

## Constructor & Destructor Documentation

## ◆ btMiniSDF()

btMiniSDF::btMiniSDF | ( |  | ) |
| inline

Definition at line 104 of file btMiniSDF.h.

## Member Function Documentation

## ◆ interpolate()

bool btMiniSDF::interpolate | ( | unsigned int | field_id,
|  | double & | dist,
|  | btVector3 const & | x,
|  | btVector3 * | gradient ) const

Definition at line 442 of file btMiniSDF.cpp.

## ◆ isValid()

bool btMiniSDF::isValid | ( |  | ) | const
| inline

Definition at line 109 of file btMiniSDF.h.

## ◆ load()

bool btMiniSDF::load | ( | const char * | data,
|  | int | size )

Definition at line 45 of file btMiniSDF.cpp.

## ◆ multiToSingleIndex()

unsigned int btMiniSDF::multiToSingleIndex | ( | btMultiIndex const & | ijk | ) | const

Definition at line 155 of file btMiniSDF.cpp.

## ◆ shape_function_()

btShapeMatrix btMiniSDF::shape_function_ | ( | btVector3 const & | xi,
|  | btShapeGradients * | gradient = 0 ) const

Definition at line 199 of file btMiniSDF.cpp.

## ◆ singleToMultiIndex()

btMultiIndex btMiniSDF::singleToMultiIndex | ( | unsigned int | l | ) | const

Definition at line 176 of file btMiniSDF.cpp.

## ◆ subdomain() [1/2]

btAlignedBox3d btMiniSDF::subdomain | ( | btMultiIndex const & | ijk | ) | const

Definition at line 161 of file btMiniSDF.cpp.

## ◆ subdomain() [2/2]

btAlignedBox3d btMiniSDF::subdomain | ( | unsigned int | l | ) | const

Definition at line 192 of file btMiniSDF.cpp.

## Member Data Documentation

## ◆ m_cell_map

btAlignedObjectArray<btAlignedObjectArray<unsigned int> > btMiniSDF::m_cell_map

Definition at line 102 of file btMiniSDF.h.

## ◆ m_cell_size

btVector3 btMiniSDF::m_cell_size

Definition at line 94 of file btMiniSDF.h.

## ◆ m_cells

btAlignedObjectArray<btAlignedObjectArray<btCell32> > btMiniSDF::m_cells

Definition at line 101 of file btMiniSDF.h.

## ◆ m_domain

btAlignedBox3d btMiniSDF::m_domain

Definition at line 92 of file btMiniSDF.h.

## ◆ m_inv_cell_size

btVector3 btMiniSDF::m_inv_cell_size

Definition at line 95 of file btMiniSDF.h.

## ◆ m_isValid

bool btMiniSDF::m_isValid

Definition at line 98 of file btMiniSDF.h.

## ◆ m_n_cells

std::size_t btMiniSDF::m_n_cells

Definition at line 96 of file btMiniSDF.h.

## ◆ m_n_fields

std::size_t btMiniSDF::m_n_fields

Definition at line 97 of file btMiniSDF.h.

## ◆ m_nodes

btAlignedObjectArray<btAlignedObjectArray<double> > btMiniSDF::m_nodes

Definition at line 100 of file btMiniSDF.h.

## ◆ m_resolution

unsigned int btMiniSDF::m_resolution[3]

Definition at line 93 of file btMiniSDF.h.

The documentation for this struct was generated from the following files:

- btMiniSDF.h
- btMiniSDF.cpp